Index: trunk/HeuristicLab.Optimization/3.3/RunCollectionModification/Calculator.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/RunCollectionModification/Calculator.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/RunCollectionModification/Calculator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -29,9 +29,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
 
-  [StorableClass]
+  [StorableType("6C41AF6F-5F02-4510-B1B5-222651C4021B")]
   public class Calculator : IDeepCloneable {
 
@@ -54,5 +54,5 @@
 
     [StorableConstructor]
-    protected Calculator(bool deserializing) { }
+    protected Calculator(StorableConstructorFlag _) { }
     public Calculator() { }
     protected Calculator(Calculator original, Cloner cloner) {
Index: trunk/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionDiscretizer.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionDiscretizer.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionDiscretizer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,10 +23,9 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
@@ -34,5 +33,5 @@
     "Creates several levels from the distribution of a certain result accross a run collection and " +
     "assigns a discretized value. Non-existing numbers as well as NaN and infinities are excluded from the caluclation.")]
-  [StorableClass]
+  [StorableType("6EFD185F-FE23-4E23-90F0-63CB9D38E57D")]
   public class RunCollectionDiscretizer : ParameterizedNamedItem, IRunCollectionModifier {
 
@@ -69,5 +68,5 @@
       #region Construction & Cloning
     [StorableConstructor]
-    protected RunCollectionDiscretizer(bool deserializing) : base(deserializing) { }
+    protected RunCollectionDiscretizer(StorableConstructorFlag _) : base(_) { }
     protected RunCollectionDiscretizer(RunCollectionDiscretizer original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionFormulaModifer.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionFormulaModifer.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionFormulaModifer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,16 +22,14 @@
 using System;
 using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
 
   [Item("RunCollection Formula Modifier", "Modifies a RunCollection by adding results using the given formula.")]
-  [StorableClass]
+  [StorableType("EEE365F2-8BEB-41C6-9DE6-94CA8FAC5108")]
   public class RunCollectionFormulaModifer : ParameterizedNamedItem, IRunCollectionModifier {
 
@@ -52,5 +50,5 @@
     #region Construction & Cloning
     [StorableConstructor]
-    protected RunCollectionFormulaModifer(bool deserializing) : base(deserializing) { }
+    protected RunCollectionFormulaModifer(StorableConstructorFlag _) : base(_) { }
     protected RunCollectionFormulaModifer(RunCollectionFormulaModifer original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionGroupCreater.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionGroupCreater.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionGroupCreater.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,5 +20,4 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
 using System.Linq;
@@ -27,10 +26,10 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
 
   [Item("RunCollection Group Creater", "Regroups existing runs according to equal values in GroupBy and prefixes them according to their value in Prefix.")]
-  [StorableClass]
+  [StorableType("5D3A55DE-DC75-4932-B3D2-2C59810143A5")]
   public class RunCollectionGroupCreater : ParameterizedNamedItem, IRunCollectionModifier {
     
@@ -48,5 +47,5 @@
     #region Construction & Cloning
     [StorableConstructor]
-    protected RunCollectionGroupCreater(bool deserializing) : base(deserializing) { }
+    protected RunCollectionGroupCreater(StorableConstructorFlag _) : base(_) { }
     protected RunCollectionGroupCreater(RunCollectionGroupCreater original, Cloner cloner) : base(original, cloner) { }
     public RunCollectionGroupCreater() {
Index: trunk/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionRunRemover.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionRunRemover.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionRunRemover.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,14 +23,14 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
   [Item("RunCollection Run Remover", "Removes all currently visible runs. Use the filtering tab to selectively remove runs.")]
-  [StorableClass]
+  [StorableType("F66D03A7-6BF8-4DB5-9341-B1BFAA8AA023")]
   public class RunCollectionRunRemover : ParameterizedNamedItem, IRunCollectionModifier {
 
     #region Construction & Cloning
     [StorableConstructor]
-    protected RunCollectionRunRemover(bool deserializing) : base(deserializing) { }
+    protected RunCollectionRunRemover(StorableConstructorFlag _) : base(_) { }
     protected RunCollectionRunRemover(RunCollectionRunRemover original, Cloner cloner) : base(original, cloner) {}
     public RunCollectionRunRemover() {}
Index: trunk/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionSorter.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionSorter.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionSorter.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,14 +23,13 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
   [Item("RunCollection Sorter", "Sorts a run collection according the specified key variable.")]
-  [StorableClass]
+  [StorableType("0F64D1D2-8934-4697-B997-A8072ADB4CF3")]
   public class RunCollectionSorter : ParameterizedNamedItem, IRunCollectionModifier {
 
@@ -48,5 +47,5 @@
     #region Construction & Cloning
     [StorableConstructor]
-    protected RunCollectionSorter(bool deserializing) : base(deserializing) { }
+    protected RunCollectionSorter(StorableConstructorFlag _) : base(_) { }
     protected RunCollectionSorter(RunCollectionSorter original, Cloner cloner)
       : base(original, cloner) {
@@ -80,4 +79,5 @@
     }
 
+    [StorableType("824092f4-863b-4ba8-ac0a-98f871876a6e")]
     private class ValueComparer : IComparer<IComparable> {
 
Index: trunk/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionValueRemover.cs
===================================================================
--- trunk/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionValueRemover.cs	(revision 15682)
+++ trunk/HeuristicLab.Optimization/3.3/RunCollectionModification/RunCollectionValueRemover.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,18 +20,16 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
 using System.Linq;
-using System.Text;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Optimization {
 
   [Item("RunCollection Value Remover", "Modifies a RunCollection by removing results or parameters.")]
-  [StorableClass]
+  [StorableType("300726A9-3E81-4F8E-A11F-4A5B3CDCA796")]
   public class RunCollectionValueRemover : ParameterizedNamedItem, IRunCollectionModifier {
     
@@ -46,5 +44,5 @@
     #region Construction & Cloning    
     [StorableConstructor]
-    protected RunCollectionValueRemover(bool deserializing) : base(deserializing) { }
+    protected RunCollectionValueRemover(StorableConstructorFlag _) : base(_) { }
     protected RunCollectionValueRemover(RunCollectionValueRemover original, Cloner cloner)
       : base(original, cloner) {
